/* Main Elements */
a, #sidebar details summary {
	color: #fdf505;
	font-size: 15pt;

	list-style: none;
	text-decoration: underline #fdf505;
	text-decoration-thickness: 2px;

}
a:hover, #sidebar details summary:hover  {
	color: #fff;
	text-decoration-color: #fff;
}

button{
	color: #ffffff;
	background-color: #e90606;
	font-size: 15pt;
	text-decoration: none;
	border-style: solid solid solid solid;
	border-width: 3px;
	transition-duration: 0.4s;
}

button:hover {
	background-color: #5e5757;
}

h1 {
	font-family: monospace;
	font-size: 15pt;
	color: #fff;
	margin: 0;
	text-align: center;
}
h2 {
	font-family: serif;
	color: #f00;
}


html, body{
	/* height: 99vh; */
}


/* form */
form {
	font-family: monospace;
	font-size: 15pt;
	padding: 10px 0 0 0
}

input[type=submit] {
	color: #ffffff;
	background-color: #272424;
	font-size: 15pt;
	text-decoration: none;
	border-style: solid solid solid solid;
	border-width: 3px;
	transition-duration: 0.4s;
}

input[type=submit]:hover {
	background-color: #e90606;
}

label {
	color: #fff;
}

input, textarea {
	color: #fff;
	background-color: #272424;
	border-width: 3px;
	border-style: solid solid solid solid;
	font-size: 20px;
}


#marked_for_download div:hover {
	background-color: grey;
}

form a {
	color: #f00;
	text-decoration: none;
}

/* checkbox */
input[type="checkbox"] {
	width: 20pt;
	height: 20pt;
}


/* IDs */
/* background */
#background {
	background-image: linear-gradient(#000000, #ff0000);
	position: fixed;
	z-index: -100;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;	
}

/* File Manager */
table {
	width: 100%;
	height: 100%;

	font-family: sans-serif;
	color: #ffffff;
	border-collapse: collapse;

}

thead {
	position: sticky;
	top: 0;

	background-color: #282525;
	font-size: 18pt;

}

tbody {
	background-color: #555;
	font-size: 15pt;
	height: 5px;
		
}

tr {
	height: 5px;
}

tbody tr:nth-child(odd) {
	background-color: #757575;
}

tbody tr:hover {
	background-color: #f00;
}

tbody input[type="checkbox"] {
	width: 20pt;
	height: 20pt;
}


th, td{
	text-align: left;
	padding: 0 10px 0 10px;
}	
	height: 70px;

.column-filename {
	width: 100%;
}

.column-checkbox {
	width: auto;
}


/* Logo in top left corner */
#logo {
	width: 150px;
}

/* MISC */
/* text */
.left-align {
	text-align: left;
}
.right-align {
	text-align: right;
}
.center-align {
	text-align: center;
}

/* sidebar */
#sidebar {
	position: sticky;
	top: 10px;
	margin-left: 10px;
	margin-right: 10px;

}

#sidebar button {
	align-self: stretch;
}


/* Login logo */
#login_logo {
	width: 400px;
	margin-top: 50px;
}

/* error message */
.error {
	color: yellow;
	font-size: 13pt;
}

/* signup */
#signup {
	color: #fff;
}


#statusBar {
	background-color: yellow;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	font-size: 15pt;
	font-family: monospace;
}

#statusBar ul {
	list-style-type: none;
}

/* settings */
/* paragraphs */
.settings_paragraph {
	width: 300px; 
	color: white; 
	font-family: sans-serif;
	font-size: 15pt;
	margin-left: 100px;
}

.settings_paragraph_heading {
	color: white; 
	font-family: sans-serif;
	font-size: 30pt;
}

/* displays */
.block {
	display: block;
}

.flexbox_updown {
	display: flex;
	flex-direction: column;
	width: 100%;	
	height: 100%;
}

.flexbox_leftright {
	display: flex;
	flex-direction: row;
	width: 100%;
	height: 100%;
}

.add_row-gap {
	gap: 20px;
}


/* justify-content */
.flexbox_justify-content_center {
	justify-content: center;
}
.flexbox_justify-content_stretch {
	justify-content: stretch;
}
.flexbox_justify-content_space-between {
	justify-content: space-between;
}
.flexbox_justify-content_start {
	justify-content: flex-start;
}
.flexbox_justify-content_end {
	justify-content: flex-end;
}
/* align-self */
.flexbox_align-self_flex-start {
	align-self: flex-start;
}
.flexbox_align-self_flex-end {
	align-self: flex-end;
}
.flexbox_align-self_center {
	align-self: center;
}
.flexbox_align-self_stretch {
	align-self: stretch;
}

/* align-items */
.flexbox_align-items_stretch {
	align-items: stretch;
}
.flexbox_align-items_center {
	align-items: center;
}
.flexbox_align-items_start {
	align-items: flex-start;
}
.flexbox_align-items_end {
	align-items: flex-end;
}

.flexbox_max {
	flex-grow: 2;
}

